## jetty 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: jetty
 Type: Package
 Title: Execute R in a 'Docker' Context
-Version: 0.2.0
+Version: 0.2.1
 Authors@R: 
     person(given = "Daniel",
            family = "Molitor",
@@ -23,8 +23,8 @@
 URL: https://github.com/dmolitor/jetty, http://www.dmolitor.com/jetty/
 BugReports: https://github.com/dmolitor/jetty/issues
 NeedsCompilation: no
-Packaged: 2025-01-24 21:19:19 UTC; dmolitor
+Packaged: 2025-04-14 20:02:32 UTC; dmolitor
 Author: Daniel Molitor [aut, cph, cre]
 Maintainer: Daniel Molitor <molitdj97@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-01-24 23:00:10 UTC
+Date/Publication: 2025-04-14 22:40:06 UTC
