## jetty 0.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: jetty
 Type: Package
 Title: Execute R in a 'Docker' Context
-Version: 0.2.1
+Version: 0.2.2
 Authors@R: 
     person(given = "Daniel",
            family = "Molitor",
@@ -18,13 +18,13 @@
 Encoding: UTF-8
 Imports: renv (>= 1.0.0), rlang
 Suggests: here, Matrix, ggplot2, testthat (>= 3.0.0)
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 Config/testthat/edition: 3
 URL: https://github.com/dmolitor/jetty, http://www.dmolitor.com/jetty/
 BugReports: https://github.com/dmolitor/jetty/issues
 NeedsCompilation: no
-Packaged: 2025-04-14 20:02:32 UTC; dmolitor
+Packaged: 2025-10-14 15:27:23 UTC; dmolitor
 Author: Daniel Molitor [aut, cph, cre]
 Maintainer: Daniel Molitor <molitdj97@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-04-14 22:40:06 UTC
+Date/Publication: 2025-10-14 22:20:03 UTC
