## jetty 6.1.24

=== debian/changelog ===
jetty (6.1.24-6ubuntu0.12.04.1) precise-security; urgency=low

  * SECURITY UPDATE: denial of service via many hash collisions
    - debian/patches/CVE-2011-4461.patch: limit number of form parameters
      to avoid a DoS in modules/jetty/src/main/java/org/mortbay/jetty/Request.java,
      modules/jetty/src/main/java/org/mortbay/jetty/handler/ContextHandler.java,
      modules/jetty/src/test/java/org/mortbay/jetty/RequestTest.java,
      modules/util/src/main/java/org/mortbay/util/UrlEncoded.java,
      modules/util/src/test/java/org/mortbay/util/URLEncodedTest.java.
    - CVE-2011-4461

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 23 Apr 2012 09:26:54 -0400

jetty (6.1.24-6) unstable; urgency=medium

  * Removed Depends on JREs for library packages, no longer required
    by the policy.
  * Added missing depends on JREs for the jetty package.
  * Made init script ignore weird exit statuses from logrotate.
    (Closes: 589681, LP: #607202)
  * Fixed broken restart command in jetty init script. Was missing a
    negation.

 -- Niels Thykier <niels@thykier.net>  Mon, 05 Jul 2010 22:28:14 +0200

jetty (6.1.24-5) unstable; urgency=low

  * Ignore test failures. (Closes: #586635)
  * Remove debian/.mh in clean target.

 -- Torsten Werner <twerner@debian.org>  Tue, 29 Jun 2010 20:53:42 +0200

jetty (6.1.24-4) unstable; urgency=low

  * Updated the versions in the Manifests to match the actual version
    of jetty.
  * Remove all use of sudo in jetty.init. (Closes: #580639)
  * Fixed some formatting issues in the NEWS file.
  * Bumped debhelper compat to 7.
  * Made the javadoc link against system javadocs. This includes adding
    Recommends on various java-doc packages.

 -- Niels Thykier <niels@thykier.net>  Sun, 20 Jun 2010 14:49:32 +0200

jetty (6.1.24-3) unstable; urgency=low

  [ Torsten Werner ]
  * Merge changes from Ubuntu version 6.1.22-1ubuntu1:
    - debian/build.xml, debian/module.xml: Enable tests in the jetty module
    - debian/rules: Adding slf4j-simple to the DEB_JARS since it's used in
      tests
    - debian/rules, debian/control: Added junit and ant-optional needed for
      tests

  [ Miguel Landaeta ]
  * Enable jetty-plus and jetty-annotations modules. (Closes: #585387).

 -- Torsten Werner <twerner@debian.org>  Thu, 10 Jun 2010 14:07:51 -0430

jetty (6.1.24-2) unstable; urgency=low

  * Set JAVA_HOME in d/rules to /usr/lib/jvm/default-java. (Closes: #578618,
    #579469)
  * Fix the installation of jetty-util5.jar. (Closes: #569328)

 -- Torsten Werner <twerner@debian.org>  Thu, 29 Apr 2010 07:36:43 +0200

jetty (6.1.24-1) unstable; urgency=low

  [ Niels Thykier ]
  * Reduced Depends on libjetty-java-doc to a Suggests. (Closes: #569293)
  * Clarified what JETTY_HOST should be set to in order to accept all
    connections. (Closes: #554874)
  * Bumped Standards-Version to 3.8.4 - no changes required.

  [ Torsten Werner ]
  * New upstream release.
  * Change Build-Depends: default-jdk. (Closes: #578618)
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Fri, 23 Apr 2010 23:55:35 +0200

jetty (6.1.22-1ubuntu1) lucid; urgency=low

  * debian/build.xml, debian/module.xml: Enable tests in the jetty module
  * debian/rules: Adding slf4j-simple to the DEB_JARS since it's used in tests
  * debian/rules, debian/control: Added junit and ant-optional needed for tests
  * debian/control, debian/rules: Build with default-jdk.

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Tue, 26 Jan 2010 09:52:06 +0100

jetty (6.1.22-1) unstable; urgency=medium

  * New upstream release. (Closes: #553644)
  * Added OSGi bundle metadata (by upstream). (Closes: #558187)
  * Corrected path to jetty web-apps (by Niels Thykier). (Closes: #554877)

 -- Pablo Duboue <pablo.duboue@gmail.com>  Sun, 13 Dec 2009 1:55:00 -0400
  

jetty (6.1.21-1) unstable; urgency=medium

  * New upstream release.
  * Stopped using /tmp/jetty-temp in /etc/init.d/jetty for security
    reasons.
    - JVM_TMP is now /var/cache/jetty/tmp
    - JETTY_TMP is now /var/cache/jetty/data
  * The postrm script no longer deletes files in /tmp/jetty-temp.
  * Removed Philipp Meier from Uploaders (last upload was 2006-06-07).
    Thanks for your work on this package.
  * Corrected javadoc symlink in binary package jetty.

 -- Niels Thykier <niels@thykier.net>  Fri, 23 Oct 2009 20:45:43 +0200

jetty (6.1.20-2) unstable; urgency=low

  * Move documentation to /usr/share/doc/libjetty-java
  * Better postinst and postrm scripts, aligned with tomcat6 scripts:
     - postinst: user jetty is created with its own group
     - postrm: better cleanup of temporary data,
       thourough remove and purge of data
  * debian/changelog:
    - fix suggest for package libjetty-java-doc, add libjetty-java-doc
      to the list of Suggests for libjetty-java
    - add libjetty-extra to the list of Suggests for package jetty.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 07 Sep 2009 00:22:20 +0100

jetty (6.1.20-1) unstable; urgency=medium

  [ Niels Thykier ]
  * New upstream release.
  * Stop using Build-Depends-Indep, since the policy and the build
    daemons disagree on when it should be used (Closes: #540861).
  * Corrected jetty.install to reflect the move of some license files
    in the source tree.
  * Bumped to Standard-Versions 3.8.3 - no changes required.
  * Updated jetty.post{install,rm} scripts to use "set -e" instead of
    passing it to sh.
  * Installed "VERSION.txt" as upstream changelog.
  * A previous version (6.1.18-1) fixed the following security problems, which
    were not mentioned in the changelog: CVE-2007-5613, CVE-2007-5614,
    CVE-2007-5615, CVE-2009-1523, and CVE-2009-1524 (see below for more
    information).

  [ Torsten Werner ]
  * Set urgency to medium because this version fixes a FTBFS.

 -- Torsten Werner <twerner@debian.org>  Sun, 06 Sep 2009 23:06:45 +0200

jetty (6.1.19-2) unstable; urgency=low

  * Upload to unstable.


