=== debian/control ===
Source: jetty
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Thierry Carrez <thierry.carrez@ubuntu.com>,
 Ludovic Claude <ludovic.claude@laposte.net>, Torsten Werner <twerner@debian.org>,
 Niels Thykier <niels@thykier.net>, Pablo Duboue <pablo.duboue@gmail.com>
Build-Depends: debhelper (>= 7), cdbs (>> 0.4.5.3), default-jdk, ant-optional, maven-repo-helper,
 libservlet2.5-java, libslf4j-java, libmx4j-java, libgnumail-java,
 libgnujaf-java, libcommons-daemon-java, junit, libgeronimo-jta-1.0.1b-spec-java,
 libtomcat6-java, default-jdk-doc, libgnumail-java-doc, libservlet2.5-java-doc
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jetty
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jetty
Homepage: http://jetty.mortbay.com/

Package: libjetty-java
Architecture: all
Depends: ${misc:Depends}, libservlet2.5-java, libslf4j-java
Suggests: jetty, libjetty-java-doc
Description: Java servlet engine and webserver -- core libraries
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application.

Package: libjetty-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: default-jdk-doc, libgnumail-java-doc, libservlet2.5-java-doc
Suggests: libjetty-java
Description: Javadoc for the Jetty API
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application.
 .
 This package contains the Javadoc for libjetty-java.

Package: libjetty-extra-java
Architecture: all
Depends: ${misc:Depends}, libjetty-java (>= ${source:Version}), libmx4j-java, 
 libgnumail-java, libgnujaf-java, ant, libslf4j-java, libxerces2-java, 
 libtomcat6-java (>= 6.0.20-2), libgeronimo-jta-1.0.1b-spec-java
Recommends: libjetty-extra
Suggests: jetty
Description: Java servlet engine and webserver -- extra libraries
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application. 
 The extra libraries include jetty-management, jetty-naming,
 jetty-servlet-tester, jetty-ajp, jetty-java5-threadpool,
 jetty-client, jetty-rewrite-handler, jetty-plus, jetty-annotations

Package: libjetty-extra
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libjetty-extra-java (>= ${source:Version})
Conflicts: libjetty-setuid-java
Suggests: jetty
Description: Java servlet engine and webserver -- extra libraries
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application. 
 This package contains the platform-dependent libraries used by Jetty.
 Currently it contains libsetuid.so which can be used to start Jetty as root
 so that privileged ports may be accessed and then switched to a non-root
 user for security.

Package: jetty
Architecture: all
Depends: ${misc:Depends}, libjetty-java (>= ${source:Version}),
 adduser, jsvc, apache2-utils, default-jre-headless | java5-runtime-headless
Suggests: libjetty-extra-java (>= ${source:Version}), libjetty-extra (>= ${source:Version}),
 libjetty-java-doc (>= ${source:Version})
Description: Java servlet engine and webserver
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application.
