## jetty 6.1.26

=== debian/changelog ===
jetty (6.1.26-1ubuntu1) quantal; urgency=low

  * Re-sync from Debian unstable.
  * d/jetty.init: Look for JAVA_HOME in multiarch locations for 
    openjdk-6 and openjdk-7 (LP: #878527).

 -- James Page <james.page@ubuntu.com>  Tue, 29 May 2012 12:23:52 +0100

jetty (6.1.26-1) unstable; urgency=low

  * New upstream release.
    - Fixes issues with loading javax.activation.
      (Closes: #594913)
  * Enable hardening flags for the setuid.so file.
  * Updated d/copyright to DEP-5 format 1.0.
  * Exit 0 in jetty's init script if jetty is already running.
    Thanks to Toby for the report and patch.  (Closes: #626382)
  * Fix misspelled "character-class" in grep invocation.  Thanks
    to Isaac for the report and correction.  (Closes: #637961)
  * Allow java.library.path to be set in /etc/default/jetty.
    Thanks to "biddster" for the report and the patches.
    (Closes: #600175, LP: #656374)
  * Apply patch from Fedora to fix hash collision related DOS.
    - CVE-2011-4461
  * Remove Michael Koch from Uploaders.  Thanks for your work
    on this package in the past.  (Closes: #654034)
  * Add gnumail-providers.jar to start.config.  Thanks to
    Michele Renda for the suggestion.  (Closes: #591851)
  * Add symlinks from jetty{,-util}-6.1.24.jar to the 6.1.26
    version to avoid breaking eclipse.

 -- Niels Thykier <niels@thykier.net>  Wed, 25 Apr 2012 12:26:13 +0200
