=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Koch <konqueror@gmx.de>, Thierry Carrez <thierry.carrez@ubuntu.com>,
+Uploaders: Thierry Carrez <thierry.carrez@ubuntu.com>,
  Ludovic Claude <ludovic.claude@laposte.net>, Torsten Werner <twerner@debian.org>,
  Niels Thykier <niels@thykier.net>, Pablo Duboue <pablo.duboue@gmail.com>
 Build-Depends: debhelper (>= 7), cdbs (>> 0.4.5.3), default-jdk, ant-optional, maven-repo-helper,
  libservlet2.5-java, libslf4j-java, libmx4j-java, libgnumail-java,
  libgnujaf-java, libcommons-daemon-java, junit, libgeronimo-jta-1.0.1b-spec-java,
- libtomcat6-java, default-jdk-doc, libgnumail-java-doc, libservlet2.5-java-doc
+ libtomcat6-java, default-jdk-doc, libgnumail-java-doc, libservlet2.5-java-doc,
+ dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jetty
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jetty
